module Umbreo
	module Helpers
		
		class JsonBaseConvert

			def self.encode(source)
				if source.is_a? Hash
					Base64.strict_encode64(source.to_json)
				end
			end

			def self.decode(source)
				if source.is_a? String
					JSON.parse Base64.strict_decode64(source)
				end
			end
			
			# used by umbreo_service_client/master.json
			def self.encode_service_param(source)
				Base64.strict_decode64(source)
			end
			
			def self.decode_service_param(source)
				Base64.strict_decode64(source)
			end
				
		end
		
	end
end
