module Umbreo
	module Helpers
		class Table

			def self.table_callback_retrieve_data(data, title)
				if data.present?
          rows  = []
          data.each do |data|
            data = data['name'].present? ? data['name'] : data
            rows << [ data ] 
          end
          table = Terminal::Table.new :title => title, :headings => ['Name'], :rows => rows
          puts table
				end
			end

			def self.show_table(data, title, headings = [])
				if data.present?
          rows  = []
          data.each do |data|

          	sub_arr = data.is_a?(Array) ? data : data.to_a
          	cell    = []

            if data.is_a? Array
              sub_arr.each do |arr|
                cell << arr
              end
            else
            	sub_arr.each do |arr|
            		cell << arr[1]
            	end
            end

          	rows << cell
          end

          table = Terminal::Table.new :title => title, :headings => headings, :rows => rows
          puts table
				end
			end

		end
	end
end